@ECHO OFF
ECHO.

rem Don't pollute the surrounding environment.
setlocal enableextensions enabledelayedexpansion

rem Start the adb server
%~dp0adb.exe start-server > NUL 2>&1

rem Make sure that we actually have a device listening on adb. Too bad batch
rem doesn't let us capture command output via  ``.
echo.
echo Checking device state...
set retval=
for /f "tokens=*" %%l in ('%~dp0adb.exe get-state') do set retval=%%l
if /i "%retval%" neq "device" set message=Unable to detect a device over adb. && goto abort
ECHO.

echo copy font file...
copy %systemroot%\fonts\msyh.ttf .

adb.exe shell rm -R /mnt/sdcard/temppp > NUL 2>&1
adb.exe shell mkdir /mnt/sdcard/temppp > NUL 2>&1

ECHO Pushing required files ...
adb.exe push installer /mnt/sdcard/temppp > NUL 2>&1

adb.exe push msyh.ttf /mnt/sdcard/temppp > NUL 2>&1


rem Ask user if they were already rooted
echo off
set response=
set /p response="Are you already rooted? [y/n] "
set response=%response: =%
set response=%response:~0,1%
if "%response%" equ "n" goto abort

:webtopmod

rem Ask user if they want to install at&t.
echo.
set response=
set /p response="Is your phone AT&T version [y/n] "
set response=%response: =%
set response=%response:~0,1%
if "%response%" equ "n" goto bell

rem Ask user if they have cracked with old mod files.
echo.
set response=
set /p response="Have your cracked ago with old mod files [y/n] "
set response=%response: =%
set response=%response:~0,1%
if "%response%" equ "y" goto updated

:att
ECHO.
ECHO Running install script for ATT...
ECHO.
adb.exe shell cp /mnt/sdcard/temppp/* /data/local/tmp
adb.exe shell chmod 777 /data/local/tmp/webtopmod.sh
echo CLICK ALLOW TO THE SUPERUSER REQUEST ON YOUR PHONE OR THIS STEP WILL FAIL
%~dp0adb.exe shell "su -c /data/local/tmp/webtopmod.sh"
goto end

:bell
ECHO.
ECHO Running install script for Bell ...
ECHO.
adb.exe shell cp /mnt/sdcard/temppp/* /data/local/tmp
adb.exe shell cp /mnt/sdcard/temppp/Mod4BellAtrix/* /data/local/tmp
adb.exe shell chmod 777 /data/local/tmp/webtopmodb.sh
echo CLICK ALLOW TO THE SUPERUSER REQUEST ON YOUR PHONE OR THIS STEP WILL FAIL
%~dp0adb.exe shell "su -c /data/local/tmp/webtopmodb.sh"
goto end


:updated
ECHO.
ECHO Running install script for updating mod files to 4.1.57 ...
ECHO.
adb.exe shell cp /mnt/sdcard/temppp/* /data/local/tmp
adb.exe shell chmod 777 /data/local/tmp/webtopmodu.sh
echo CLICK ALLOW TO THE SUPERUSER REQUEST ON YOUR PHONE OR THIS STEP WILL FAIL
%~dp0adb.exe shell "su -c /data/local/tmp/webtopmodu.sh"
goto end


:abort
echo.
echo %message%
echo pls root the phone firstly.
pause
%~dp0adb.exe kill-server
exit /b
goto end


:end
pause
%~dp0adb.exe kill-server
exit /b
echo.
